.o-video-bg{
  position:relative;
  overflow:hidden;
  background-color:var(--c-black);
  opacity:0;
  -webkit-transition:opacity 0.6s var(--power-2-out);
  transition:opacity 0.6s var(--power-2-out);
}

.o-video-bg__wrapper{
    height:100dvh;
  }

@media (min-width: 1024px){

.o-video-bg__wrapper{
      max-height:87.5rem
  }
    }

.o-video-bg.is-loaded{
    opacity:1;
  }

.o-video-bg iframe{
    position:absolute;
    top:50%;
    left:50%;
    width:100vw;
    height:100vh;
    -webkit-transform:translate(-50%, -50%);
            transform:translate(-50%, -50%);
  }

@media (min-aspect-ratio: 16/9){

.o-video-bg iframe{
      width:110vw;
      height:56.25vw
  }
    }

@media (max-aspect-ratio: 16/9){

.o-video-bg iframe{
      width:189.78vh
  }
    }

.o-video-bg iframe.o-video-bg__mobile{
      display:block;
    }

@media (min-width: 768px){

.o-video-bg iframe.o-video-bg__mobile{
        display:none
    }
      }

.o-video-bg iframe.o-video-bg__desktop{
      display:none;
    }

@media (min-width: 768px){

.o-video-bg iframe.o-video-bg__desktop{
        display:block
    }
      }

.o-video-bg__control{
    position:absolute;
    bottom:1.75rem;
    right:1.75rem;
    width:1.75rem;
    height:1.75rem;
    color:var(--c-white);
    cursor:pointer;
    -webkit-transition:background-color 0.2s;
    transition:background-color 0.2s;
    z-index:10;
  }

@media screen and (min-width: 768px){

.o-video-bg__control{
      right:1.75rem;
      bottom:var(--h-space-13)
  }
    }

@media screen and (min-width: 1280px){

.o-video-bg__control{
      right:3.75rem
  }
    }

@media screen and (min-width: 1940px){

.o-video-bg__control{
      right:var(--bc-grid-max-width-padding)
  }
    }

.o-video-bg__control-icon{
      display:-webkit-box;
      display:-ms-flexbox;
      display:flex;
      -webkit-box-align:center;
          -ms-flex-align:center;
              align-items:center;
      -webkit-box-pack:center;
          -ms-flex-pack:center;
              justify-content:center;
    }

.o-video-bg__control-icon--play{
        display:none;
      }

.o-video-bg.is-paused .o-video-bg__control-icon--pause{
    display:none;
  }

.o-video-bg.is-paused .o-video-bg__control-icon--play{
    display:-webkit-box;
    display:-ms-flexbox;
    display:flex;
  }

.o-video-bg--landscape .o-video-bg__wrapper{
      width:100vw;
      height:25rem;
    }

@media (min-width: 768px){

.o-video-bg--landscape .o-video-bg__wrapper{
        height:34.375rem
    }
      }

@media (min-width: 1024px){

.o-video-bg--landscape .o-video-bg__wrapper{
        height:100dvh;
        height:calc(100dvh - var(--h-sitewide-alert));
        max-height:87.5rem
    }
      }

@media (max-aspect-ratio: 16/9){

.o-video-bg--landscape iframe{
        width:100vh
    }
  
        @media (min-width: 1024px){

.o-video-bg--landscape iframe{
          width:189.78vh
    }
        }
      }

@media (min-width: 1024px){

.user-logged-in.toolbar-fixed .o-video-bg--landscape{
      height:calc(100dvh - var(--h-sitewide-alert) - var(--gin-toolbar-height) - var(--gin-toolbar-secondary-height))
  }
    }
